Bug 596493 - (CVE-2010-1387) CVE-2010-1387 WebKit: use-after-free vulnerability in JavaScriptCore during page transitions
CVE-2010-1387 WebKit: use-after-free vulnerability in JavaScriptCore during p...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100607,reported=20100521,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 15:59 EDT by Vincent Danen
Modified: 2016-03-04 07:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 17:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 15:59:35 EDT
Description:  A use after free issue exists in JavaScriptCore during page transitions. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory management.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=34321
Trac: http://trac.webkit.org/changeset/54129, http://trac.webkit.org/changeset/54141, http://trac.webkit.org/changeset/54265

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue.
Comment 4 Vincent Danen 2010-06-28 13:35:25 EDT
This is being made public now, we've been given the go-ahead from upstream to do so.

Note You need to log in before you can comment on or make changes to this bug.